=== debian/changelog ===
iso-flags-svg (1.0.1-1) unstable; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Dec 2016 23:24:08 +0100
