=== debian/changelog ===
iso-flags-svg (1.0.2-2) unstable; urgency=medium

  * Mark iso-flags-png-320x240 and iso-flags-svg Multi-Arch: foreign
  * d/copyright: http->https and update copyright year for debian-cinnamon
  * Add debian/watch
  * Add upstream metadata
  * Switch to debhelper-compat and bump compat to 13
  * Specify that rules don't require root
  * Set the correct homepage instead the origin of fork
  * Bump Standards-Version to 4.6.1
  * Added me, Joshua Peisach and Christoph Martin to uploaders

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 02 Jan 2023 18:09:40 +0100

iso-flags-svg (1.0.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:38:30 +0100

iso-flags-svg (1.0.2-1) unstable; urgency=medium

  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Set new ml as Copyright holder
  * Bump debhelper build-dep and compat to 11.
  * Bump Standards-Version to 4.1.3.
  * New upstream release (1.0.2).
  * Drop patches applied upstream
  * Bump Standards-Version to 4.1.4.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 May 2018 11:23:41 +0200
