=== debian/control ===
Source: iso-flags-svg
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libjson-perl,
 librsvg2-bin,
 libxml-libxml-perl,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/linuxmint/flags
Vcs-Browser: https://salsa.debian.org/cinnamon-team/iso-flags-svg
Vcs-Git: https://salsa.debian.org/cinnamon-team/iso-flags-svg.git

Package: iso-flags-png-320x240
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: iso-flag-png
Description: ISO country flags in PNG format (320x240)
 A 4x3 country flag collection in PNG format in the resolution 320x240.
 Generated from the high quality vector graphics country flag icons (shipped in
 the iso-flags-svg package).
 .
 It contains more than 240 country flag icons.

Package: iso-flags-svg
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ISO country flags in SVG format
 High quality vector graphics country flag icons.
 .
 It contains more than 240 country flag icons in a squared and in a 4x3 aspect
 ratio.
