=== debian/watch ===
version=4
https://github.com/linuxmint/flags/tags .*/v?(\d.*)@ARCHIVE_EXT@
